Index: IOIPSL/trunk/src/AA_make
===================================================================
--- IOIPSL/trunk/src/AA_make	(revision 10)
+++ IOIPSL/trunk/src/AA_make	(revision 11)
@@ -1,6 +1,15 @@
 #-
-#- $Id: AA_make,v 2.16 2006/01/18 06:34:11 adm Exp $
+#- $Id$
 #-
-#-Q- sx6nec F_O = $(F_D) $(F_P) -C vsafe -size_t64 -I $(MODDIR)
+MAKE_NAM = $(MAKE)
+ifneq ($(MAKE_NAM),$(M_K))
+ @$(error You must invoke this Makefile with the $(M_K) command)
+endif
+USER_DIR = $(shell pwd)
+MAKE_DIR = '??'
+ifneq ($(USER_DIR),$(MAKE_DIR))
+ @$(error You must invoke this Makefile from its directory)
+endif
+#-
 #-Q- sxdkrz F_O = $(F_D) $(F_P) -C vsafe -size_t64 -I $(MODDIR)
 #-Q- eshpux F_O = $(F_D) $(F_P) -C vsafe -I $(MODDIR)
@@ -9,30 +18,21 @@
 #---------------------------------------------------------------------
 
-PRF_PRC = !\#-P-
-DEF_PRC = $(PRF_PRC)$(D_P)
-SRC_PRC   = defprec.f90
-MODS1     = $(SRC_PRC)    \
-            errioipsl.f90 \
-            stringop.f90  \
-            mathelp.f90   \
-            getincom.f90  \
-            calendar.f90  \
-            fliocom.f90   \
-            flincom.f90   \
-            histcom.f90   \
-            restcom.f90   \
-            ioipsl.f90
+MODS1 = defprec.f90   \
+        errioipsl.f90 \
+        stringop.f90  \
+        mathelp.f90   \
+        getincom.f90  \
+        calendar.f90  \
+        fliocom.f90   \
+        flincom.f90   \
+        histcom.f90   \
+        restcom.f90   \
+        ioipsl.f90
 OBJSMODS1 = $(MODS1:.f90=.o)
 
-all: $(SRC_PRC) $(MODEL_LIB)($(OBJSMODS1))
+all: $(MODEL_LIB)($(OBJSMODS1))
 	@echo IOIPSL is OK
 
-$(SRC_PRC): def.prec
-	(sed -e "s/^$(DEF_PRC) */  /g" def.prec | \
-	 grep -v $(PRF_PRC) > $(SRC_PRC))
-
 .PRECIOUS : $(MODEL_LIB)
-#-Q- sxnec  .PRECIOUS : $(SXMODEL_LIB)
-#-Q- sx6nec .PRECIOUS : $(SXMODEL_LIB)
 #-Q- sxdkrz .PRECIOUS : $(SXMODEL_LIB)
 #-Q- eshpux .PRECIOUS : $(SXMODEL_LIB)
@@ -42,8 +42,6 @@
 	$(A_C) $(MODEL_LIB) $*.o
 #-Q- sgi6 	mv $(shell echo $* | tr '[:lower:]' '[:upper:]').mod $(MODDIR)
-#-Q- sxnec	$(A_X) $(SXMODEL_LIB) $*.o
-#-Q- sxnec	mv $*.mod $(MODDIR)
-#-Q- sx6nec	$(A_X) $(SXMODEL_LIB) $*.o
-#-Q- sx6nec	mv $*.mod $(MODDIR)
+#-Q- sx8brodie	mv $*.mod $(MODDIR)
+#-Q- sx8mercure	mv $*.mod $(MODDIR)
 #-Q- sxdkrz	$(A_X) $(SXMODEL_LIB) $*.o
 #-Q- sxdkrz	mv $*.mod $(MODDIR)
@@ -54,18 +52,16 @@
 
 clean:
-#-Q- sxnec	$(RM) $(SXMODEL_LIB)
-#-Q- sx6nec	$(RM) $(SXMODEL_LIB)
 #-Q- sxdkrz	$(RM) $(SXMODEL_LIB)
 #-Q- eshpux	$(RM) $(SXMODEL_LIB)
+	$(RM) $(MODEL_LIB)
 	$(RM) *.*~ Makefile~ core *.o *.mod i.*.L *.L i.*.f90
 	$(RM) $(MODDIR)/*.mod $(MODDIR)/*.M *.M
-	$(RM) $(MODEL_LIB) $(SRC_PRC)
 
 #- Specific dependencies
 
-$(MODEL_LIB)(errioipsl.o):  \
+$(MODEL_LIB)(errioipsl.o):   \
   $(MODEL_LIB)(defprec.o)
 
-$(MODEL_LIB)(stringop.o):  \
+$(MODEL_LIB)(stringop.o):    \
   $(MODEL_LIB)(defprec.o)
 
@@ -74,5 +70,5 @@
   $(MODEL_LIB)(stringop.o)
 
-$(MODEL_LIB)(getincom.o):  \
+$(MODEL_LIB)(getincom.o):    \
   $(MODEL_LIB)(stringop.o)
 
@@ -96,5 +92,5 @@
   $(MODEL_LIB)(stringop.o)   \
   $(MODEL_LIB)(mathelp.o)    \
-  $(MODEL_LIB)(calendar.o)  \
+  $(MODEL_LIB)(calendar.o)   \
   $(MODEL_LIB)(fliocom.o)
 
@@ -103,5 +99,5 @@
   $(MODEL_LIB)(stringop.o)   \
   $(MODEL_LIB)(mathelp.o)    \
-  $(MODEL_LIB)(calendar.o)  \
+  $(MODEL_LIB)(calendar.o)   \
   $(MODEL_LIB)(fliocom.o)
 
Index: IOIPSL/trunk/src/AA_make.ldef
===================================================================
--- IOIPSL/trunk/src/AA_make.ldef	(revision 10)
+++ IOIPSL/trunk/src/AA_make.ldef	(revision 11)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make.ldef,v 2.6 2006/01/18 06:17:31 adm Exp $
+#- $Id$
 #-
 #---------------------------------------------------------------------
@@ -11,19 +11,7 @@
 MODDIR = $(LIBDIR)
 #---------------------------------------------------------------------
-#-P- I4R4     D_P = I4R4
-#-P- I4R8     D_P = I4R8
-#-P- I8R8     D_P = I8R8
-#-P- ??       D_P = I4R4
-#-Q- fjvpp    #-P- ??   D_P = I4R8
-#-Q- sxnec    #-P- ??   D_P = I4R8
-#-Q- sx6nec   #-P- ??   D_P = I4R8
-#-Q- sxdkrz   #-P- ??   D_P = I4R8
-#-Q- aix      #-P- ??   D_P = I4R8
-#-Q- eshpux   #-P- ??   D_P = I4R8
 P_P =
 MODEL_LIB = $(LIBDIR)/libioipsl.a
 SXMODEL_LIB = $(MODEL_LIB)
-#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sx6nec SXMODEL_LIB = $(LIBDIR)/libsxioipsl.a
 #-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/libsxioipsl.a
 #-Q- eshpux SXMODEL_LIB = $(LIBDIR)/libsxioipsl.a
Index: IOIPSL/trunk/src/calendar.f90
===================================================================
--- IOIPSL/trunk/src/calendar.f90	(revision 10)
+++ IOIPSL/trunk/src/calendar.f90	(revision 11)
@@ -1,3 +1,3 @@
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/calendar.f90,v 2.7 2005/02/25 10:40:32 adm Exp $
+!$Id$
 !-
 MODULE calendar
Index: IOIPSL/trunk/src/def.prec
===================================================================
--- IOIPSL/trunk/src/def.prec	(revision 10)
+++ IOIPSL/trunk/src/def.prec	(revision 11)
@@ -1,6 +1,3 @@
-! @author Jacques Bellier, Marie-Alice Foujols, Jan Polcher
-! @Version : $Revision: 2.1 $, $Date: 2005/06/24 09:57:17 $
-! $Header: /home/ioipsl/CVSROOT/IOIPSL/src/def.prec,v 2.1 2005/06/24 09:57:17 adm Exp $
-!
+! $Id$
 MODULE defprec 
 !!--------------------------------------------------------------------
@@ -17,7 +14,5 @@
   INTEGER,PARAMETER :: r_4=SELECTED_REAL_KIND(6,37)
   INTEGER,PARAMETER :: r_8=SELECTED_REAL_KIND(15,307)
-!#-P-I4R4   INTEGER,PARAMETER :: i_std=i_4, r_std=r_4
-!#-P-I4R8   INTEGER,PARAMETER :: i_std=i_4, r_std=r_8
-!#-P-I8R8   INTEGER,PARAMETER :: i_std=i_8, r_std=r_8
+  INTEGER,PARAMETER :: i_std=i_?, r_std=r_?
 !-----------------
 END MODULE defprec
Index: IOIPSL/trunk/src/errioipsl.f90
===================================================================
--- IOIPSL/trunk/src/errioipsl.f90	(revision 10)
+++ IOIPSL/trunk/src/errioipsl.f90	(revision 11)
@@ -1,3 +1,3 @@
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/errioipsl.f90,v 2.2 2005/02/22 10:14:14 adm Exp $
+!$Id$
 !-
 MODULE errioipsl
@@ -7,8 +7,8 @@
 PRIVATE
 !-
-PUBLIC :: ipslnlf, ipslerr, histerr, ipsldbg
-!-
-  INTEGER :: n_l=6
-  LOGICAL :: ioipsl_debug=.FALSE.
+PUBLIC :: ipslnlf, ipslerr, ipslerr_act, ipslerr_inq, histerr, ipsldbg
+!-
+  INTEGER :: n_l=6, ilv_cur=0, ilv_max=0
+  LOGICAL :: ioipsl_debug=.FALSE., lact_mode=.TRUE.
 !-
 !===
@@ -18,5 +18,5 @@
 !!--------------------------------------------------------------------
 !! The "ipslnlf" routine allows to know and modify
-!! the current logical number for the messages,
+!! the current logical number for the messages.
 !!
 !! SUBROUTINE ipslnlf (new_number,old_number)
@@ -71,12 +71,75 @@
 !---------------------------------------------------------------------
    IF ( (plev >= 1).AND.(plev <= 3) ) THEN
+     ilv_cur = plev
+     ilv_max = MAX(ilv_max,plev)
      WRITE(n_l,'(/,A," ",A)') TRIM(pemsg(plev)),TRIM(pcname)
      WRITE(n_l,'(3(" --> ",A,/))') TRIM(pstr1),TRIM(pstr2),TRIM(pstr3)
    ENDIF
-   IF (plev == 3) THEN
+   IF ( (plev == 3).AND.lact_mode) THEN
      STOP 'Fatal error from IOIPSL. See stdout for more details'
    ENDIF
 !---------------------
 END SUBROUTINE ipslerr
+!===
+SUBROUTINE ipslerr_act (new_mode,old_mode)
+!!--------------------------------------------------------------------
+!! The "ipslerr_act" routine allows to know and modify
+!! the current "action mode" for the error messages,
+!! and reinitialize the error level values.
+!!
+!! SUBROUTINE ipslerr_act (new_mode,old_mode)
+!!
+!! Optional INPUT argument
+!!
+!! (I) new_mode : new error action mode
+!!                .TRUE.  -> STOP     in case of fatal error
+!!                .FALSE. -> CONTINUE in case of fatal error
+!!
+!! Optional OUTPUT argument
+!!
+!! (I) old_mode : current error action mode
+!!--------------------------------------------------------------------
+  IMPLICIT NONE
+!-
+  LOGICAL,OPTIONAL,INTENT(IN)  :: new_mode
+  LOGICAL,OPTIONAL,INTENT(OUT) :: old_mode
+!---------------------------------------------------------------------
+  IF (PRESENT(old_mode)) THEN
+    old_mode = lact_mode
+  ENDIF
+  IF (PRESENT(new_mode)) THEN
+    lact_mode = new_mode
+  ENDIF
+  ilv_cur = 0
+  ilv_max = 0
+!-------------------------
+END SUBROUTINE ipslerr_act
+!===
+SUBROUTINE ipslerr_inq (current_level,maximum_level)
+!!--------------------------------------------------------------------
+!! The "ipslerr_inq" routine allows to know
+!! the current level of the error messages
+!! and the maximum level encountered since the
+!! last call to "ipslerr_act".
+!!
+!! SUBROUTINE ipslerr_inq (current_level,maximum_level)
+!!
+!! Optional OUTPUT argument
+!!
+!! (I) current_level : current error level
+!! (I) maximum_level : maximum error level
+!!--------------------------------------------------------------------
+  IMPLICIT NONE
+!-
+  INTEGER,OPTIONAL,INTENT(OUT) :: current_level,maximum_level
+!---------------------------------------------------------------------
+  IF (PRESENT(current_level)) THEN
+    current_level = ilv_cur
+  ENDIF
+  IF (PRESENT(maximum_level)) THEN
+    maximum_level = ilv_max
+  ENDIF
+!-------------------------
+END SUBROUTINE ipslerr_inq
 !===
 SUBROUTINE histerr (plev,pcname,pstr1,pstr2,pstr3)
Index: IOIPSL/trunk/src/flincom.f90
===================================================================
--- IOIPSL/trunk/src/flincom.f90	(revision 10)
+++ IOIPSL/trunk/src/flincom.f90	(revision 11)
@@ -1,3 +1,3 @@
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/flincom.f90,v 2.2 2006/03/07 09:21:51 adm Exp $
+!$Id$
 !-
 MODULE flincom
